NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.GeometricAnalysis.GapFlushnessBuilder Class Reference

GapFlushnessBuilder class More...

Inheritance diagram for NXOpen.GeometricAnalysis.GapFlushnessBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  DisplayOptions { GapOnly, FlushnessOnly, Both }
 This enum represents Label Display Option type More...
 
enum  EvaluationModes { Point, CurveNumber, Curve }
 This enum represents evaluation mode More...
 
enum  EvaluationTypes { Absolute, Visual }
 This enum represents the Gap and Flushness Analysis Object evaluation types More...
 
enum  PanelTypes { Hem, Flange, Wall }
 This enum represents panel type More...
 
enum  SectionAlignments { Curve, CurveView, SpecifiedDirection }
 This enum represents cross-section alignment type More...
 
enum  SectionCurveOptions { ContactCurve, UserDefined }
 This enum represents Cross Section Curves Options More...
 

Properties

unsafe NXOpen.ScCollector BasePanelFaces [get]
 Returns the Base Panel face selection More...
 
unsafe NXOpen.Section BasePanelInnerContactCurves [get]
 Returns the Base Panel inner contact section More...
 
unsafe NXOpen.Section BasePanelOuterContactCurves [get]
 Returns the Base Panel outer contact section More...
 
unsafe
NXOpen.GeometricAnalysis.GapFlushnessBuilder.PanelTypes 
BasePanelType [get, set]
 Returns or sets the Base Panel type More...
 
unsafe
NXOpen.GeometricAnalysis.GapFlushnessBuilder.SectionCurveOptions 
CrossSectionCurveOption [get, set]
 Returns or sets the cross section curve option More...
 
unsafe NXOpen.Section CrossSectionCurves [get]
 Returns the Cross Section Curves More...
 
unsafe
NXOpen.GeometricAnalysis.GapFlushnessBuilder.EvaluationModes 
EvaluationMode [get, set]
 Returns or sets the evaluation Method More...
 
unsafe NXOpen.Point EvaluationPoint [get, set]
 Returns or sets the evaluation point More...
 
unsafe
NXOpen.GeometricAnalysis.GapFlushnessBuilder.EvaluationTypes 
EvaluationType [get, set]
 Returns or sets the evaluation type More...
 
unsafe bool IsNegativeToleranceLabelDisplayed [get, set]
 Returns or sets the Label Display negative tolerance More...
 
unsafe bool IsNominalLabelDisplayed [get, set]
 Returns or sets the Label Display Nominal More...
 
unsafe bool IsPositiveToleranceLabelDisplayed [get, set]
 Returns or sets the Label Display positive tolerance More...
 
unsafe
NXOpen.GeometricAnalysis.GapFlushnessBuilder.DisplayOptions 
LabelDisplayOption [get, set]
 Returns or sets the display option type More...
 
unsafe double NegativeFlushnessTolerance [get, set]
 Returns or sets the negative tolerance for flushness More...
 
unsafe double NegativeGapTolerance [get, set]
 Returns or sets the negative tolerance for gap More...
 
unsafe double NominalFlushness [get, set]
 Returns or sets the nominal value for flushness More...
 
unsafe double NominalGap [get, set]
 Returns or sets the nominal value for gap More...
 
unsafe double PositiveFlushnessTolerance [get, set]
 Returns or sets the positive tolerance for flushness More...
 
unsafe double PositiveGapTolerance [get, set]
 Returns or sets the positive tolerance for gap More...
 
unsafe bool PreviewOption [get, set]
 Returns or sets the preview option More...
 
unsafe NXOpen.Expression SampleDistance [get]
 Returns the Sample Distance More...
 
unsafe int SampleNumber [get, set]
 Returns or sets the sample number More...
 
unsafe NXOpen.ScCollector SecondPanelFaces [get]
 Returns the Second Panel face selection More...
 
unsafe NXOpen.Section SecondPanelInnerContactCurves [get]
 Returns the Second Panel inner contact section More...
 
unsafe NXOpen.Section SecondPanelOuterContactCurves [get]
 Returns the Second Panel outer contact section More...
 
unsafe
NXOpen.GeometricAnalysis.GapFlushnessBuilder.PanelTypes 
SecondPanelType [get, set]
 Returns or sets the Second Panel type More...
 
unsafe
NXOpen.GeometricAnalysis.GapFlushnessBuilder.SectionAlignments 
SectionAlignment [get, set]
 Returns or sets the Section Alignment More...
 
unsafe NXOpen.Direction SectionAlignmentDirection [get, set]
 Returns or sets the section alignment vector More...
 
unsafe bool ShowOutRangeLabels [get, set]
 Returns or sets the show out of range labels More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

GapFlushnessBuilder class

To create a new instance of this class, use NXOpen.GeometricAnalysis.AnalysisObjectCollection.CreateGapFlushnessBuilder

Default values.

Property Value

SampleNumber

10

Created in NX5.0.0

Member Enumeration Documentation

This enum represents Label Display Option type

Enumerator
GapOnly 

gap only

FlushnessOnly 

flushness only

Both 

both

This enum represents evaluation mode

Enumerator
Point 

at point

CurveNumber 

along curve and number

Curve 

along curve and distance

This enum represents the Gap and Flushness Analysis Object evaluation types

Enumerator
Absolute 

absolute

Visual 

visual

This enum represents panel type

Enumerator
Hem 

type hem

Flange 

type flange

Wall 

type wall

This enum represents cross-section alignment type

Enumerator
Curve 

curve

CurveView 

curve in view

SpecifiedDirection 

specified direction

This enum represents Cross Section Curves Options

Enumerator
ContactCurve 

use contact curve

UserDefined 

use user defined curve

Property Documentation

unsafe NXOpen.ScCollector NXOpen.GeometricAnalysis.GapFlushnessBuilder.BasePanelFaces
get

Returns the Base Panel face selection

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.GeometricAnalysis.GapFlushnessBuilder.BasePanelInnerContactCurves
get

Returns the Base Panel inner contact section

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.GeometricAnalysis.GapFlushnessBuilder.BasePanelOuterContactCurves
get

Returns the Base Panel outer contact section

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricAnalysis.GapFlushnessBuilder.PanelTypes NXOpen.GeometricAnalysis.GapFlushnessBuilder.BasePanelType
getset

Returns or sets the Base Panel type

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricAnalysis.GapFlushnessBuilder.SectionCurveOptions NXOpen.GeometricAnalysis.GapFlushnessBuilder.CrossSectionCurveOption
getset

Returns or sets the cross section curve option

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.GeometricAnalysis.GapFlushnessBuilder.CrossSectionCurves
get

Returns the Cross Section Curves

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricAnalysis.GapFlushnessBuilder.EvaluationModes NXOpen.GeometricAnalysis.GapFlushnessBuilder.EvaluationMode
getset

Returns or sets the evaluation Method

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point NXOpen.GeometricAnalysis.GapFlushnessBuilder.EvaluationPoint
getset

Returns or sets the evaluation point

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricAnalysis.GapFlushnessBuilder.EvaluationTypes NXOpen.GeometricAnalysis.GapFlushnessBuilder.EvaluationType
getset

Returns or sets the evaluation type

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.GeometricAnalysis.GapFlushnessBuilder.IsNegativeToleranceLabelDisplayed
getset

Returns or sets the Label Display negative tolerance

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.GeometricAnalysis.GapFlushnessBuilder.IsNominalLabelDisplayed
getset

Returns or sets the Label Display Nominal

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.GeometricAnalysis.GapFlushnessBuilder.IsPositiveToleranceLabelDisplayed
getset

Returns or sets the Label Display positive tolerance

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricAnalysis.GapFlushnessBuilder.DisplayOptions NXOpen.GeometricAnalysis.GapFlushnessBuilder.LabelDisplayOption
getset

Returns or sets the display option type

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.GeometricAnalysis.GapFlushnessBuilder.NegativeFlushnessTolerance
getset

Returns or sets the negative tolerance for flushness

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.GeometricAnalysis.GapFlushnessBuilder.NegativeGapTolerance
getset

Returns or sets the negative tolerance for gap

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.GeometricAnalysis.GapFlushnessBuilder.NominalFlushness
getset

Returns or sets the nominal value for flushness

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.GeometricAnalysis.GapFlushnessBuilder.NominalGap
getset

Returns or sets the nominal value for gap

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.GeometricAnalysis.GapFlushnessBuilder.PositiveFlushnessTolerance
getset

Returns or sets the positive tolerance for flushness

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.GeometricAnalysis.GapFlushnessBuilder.PositiveGapTolerance
getset

Returns or sets the positive tolerance for gap

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.GeometricAnalysis.GapFlushnessBuilder.PreviewOption
getset

Returns or sets the preview option

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.GeometricAnalysis.GapFlushnessBuilder.SampleDistance
get

Returns the Sample Distance

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe int NXOpen.GeometricAnalysis.GapFlushnessBuilder.SampleNumber
getset

Returns or sets the sample number

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.GeometricAnalysis.GapFlushnessBuilder.SecondPanelFaces
get

Returns the Second Panel face selection

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.GeometricAnalysis.GapFlushnessBuilder.SecondPanelInnerContactCurves
get

Returns the Second Panel inner contact section

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.GeometricAnalysis.GapFlushnessBuilder.SecondPanelOuterContactCurves
get

Returns the Second Panel outer contact section

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricAnalysis.GapFlushnessBuilder.PanelTypes NXOpen.GeometricAnalysis.GapFlushnessBuilder.SecondPanelType
getset

Returns or sets the Second Panel type

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricAnalysis.GapFlushnessBuilder.SectionAlignments NXOpen.GeometricAnalysis.GapFlushnessBuilder.SectionAlignment
getset

Returns or sets the Section Alignment

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Direction NXOpen.GeometricAnalysis.GapFlushnessBuilder.SectionAlignmentDirection
getset

Returns or sets the section alignment vector

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.GeometricAnalysis.GapFlushnessBuilder.ShowOutRangeLabels
getset

Returns or sets the show out of range labels

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.